<!doctype html>
<html lang="es">

<head>
	<title>vue</title>
	<meta charset="utf-8">

	<!-- Semantic UI -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.css">

	<!-- Vue -->
	<script src="https://unpkg.com/vue@3"></script>
</head>

<body>

	<div id="app" class="ui container">

		<br>
		<h1>Notification Center</h1>

		<notification-message
			tipo="info"
			header="Información"
			message="Información sobre algo nose xd">
		</notification-message>

		<notification-message
			tipo="warning"
			header="Aviso"
			message="Oye, que puede ocurrir algo chungo">
		</notification-message>

		<notification-message
			tipo="error"
			header="Error"
			message="las cagao tron">
		</notification-message>

		<notification-message
			tipo="success"
			header="Finally"
			message="some good fucking food">
		</notification-message>

		<hr>

		<notification-message>
		</notification-message>

	</div>


	<template id="notification-message-template">
		<div class="ui message" :class="tipo" v-if="!hidden">
			<i class="close icon" @click="hide"></i>
			<div class="header">{{ header }}</div>
			{{ message }}
		</div>
		<slot></slot>
	</template>

	<!-- JS principal -- Vue -->
	<script src="./main.js"></script>
</body>

</html>
